﻿Partial Public Class MantenimentUsuari
    Inherits Page

    Private cli As New ServeiChiquiPark.Client
    Public Sub New()
        InitializeComponent()
        cli = New ServeiChiquiPark.Client
        cli.Id = -1
        cli.Nom = ""
        cli.Cognoms = ""
        cli.Direccio = ""
        cli.Poblacio = ""
        cli.Email = ""
        cli.Login = ""
        cli.Password = ""
    End Sub

    'Se ejecuta cuando el usuario navega a esta página.
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)

        txtLogin.Focus()

        If Configuracio.Instance.Usuari IsNot Nothing Then

            cli.Id = Configuracio.Instance.Usuari.Id
            cli.Nom = Configuracio.Instance.Usuari.Nom
            cli.Cognoms = Configuracio.Instance.Usuari.Cognoms
            cli.Direccio = Configuracio.Instance.Usuari.Direccio
            cli.Poblacio = Configuracio.Instance.Usuari.Poblacio
            cli.Email = Configuracio.Instance.Usuari.Email
            cli.Login = Configuracio.Instance.Usuari.Login
            cli.Password = Configuracio.Instance.Usuari.Password

            OmplirTextBoxes()

        End If

        AddHandler Configuracio.Instance.Servei.SetClientCompleted, AddressOf ClientCompleted

    End Sub
    Private Sub ClientCompleted(ByVal sender As Object, ByVal e As ServeiChiquiPark.SetClientCompletedEventArgs)

        Select Case e.Result
            Case 0
                System.Windows.Browser.HtmlPage.Window.Alert("Error al guardar el client !")
            Case 1
                Configuracio.Instance.Usuari = e.cli
                NavigationService.Navigate(New Uri("/MenuUsuari.xaml", UriKind.RelativeOrAbsolute))
            Case 2 : System.Windows.Browser.HtmlPage.Window.Alert("Error el login ja està assignat a un altre client !")
        End Select
    End Sub
    Private Sub OmplirTextBoxes()

        txtNom.Text = cli.Nom
        txtCognoms.Text = cli.Cognoms
        txtDireccio.Text = cli.Direccio
        txtPoblacio.Text = cli.Poblacio
        txtEmail.Text = cli.Email
        txtLogin.Text = cli.Login
        txtPassword.Text = cli.Password

    End Sub
    Private Sub btnAcceptar_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles btnAcceptar.Click

        If txtLogin.Text = "" OrElse txtPassword.Text = "" Then
            System.Windows.Browser.HtmlPage.Window.Alert("Cal introduïr almenys el login i el password")
            txtLogin.Focus()
            Return
        End If

        cli.Nom = txtNom.Text
        cli.Cognoms = txtCognoms.Text
        cli.Direccio = txtDireccio.Text
        cli.Poblacio = txtPoblacio.Text
        cli.Email = txtEmail.Text
        cli.Login = txtLogin.Text
        cli.Password = txtPassword.Text

        Configuracio.Instance.Servei.SetClientAsync(cli)

    End Sub

End Class
