﻿Public Class Llistats

    Private primeraCarga As Boolean = True
    Private Sub Llistats_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded

        If primeraCarga Then
            MostrarTickets("")
            txtFiltro.Focus()
            primeraCarga = False
        End If

    End Sub
    Private Sub btnTancar_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnTancar.Click

        If Me.Parent IsNot Nothing Then CType(Me.Parent, DockPanel).Visibility = Windows.Visibility.Collapsed

    End Sub

#Region "Mostrar Dades"

    Private Sub MostrarTickets(ByVal filtro As String)

        Try
            Dim l As ServeiChiquiPark.Ticket()
            l = Configuracio.Instance.Servei.GetTickets(filtro)
            lvTickets.DataContext = l

        Catch ex As Exception
            MsgBox("No podem conectar amb el servidor de dades", MsgBoxStyle.Critical)
        End Try


    End Sub

#End Region

#Region "Validació"

    Private Sub txtFiltro_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Input.KeyEventArgs) Handles txtFiltro.KeyDown

        If e.Key = Key.Enter Then MostrarTickets(txtFiltro.Text)

    End Sub

#End Region

End Class
