﻿Partial Public Class LoginUsuari
    Inherits Page

    Public Sub New()
        InitializeComponent()
    End Sub

    'Se ejecuta cuando el usuario navega a esta página.
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)

        txtLogin.Focus()

        AddHandler Configuracio.Instance.Servei.GetUsuariCompleted, AddressOf UsuariCompleted

    End Sub
    Private Sub UsuariCompleted(ByVal sender As Object, ByVal e As ServeiChiquiPark.GetUsuariCompletedEventArgs)

        'si a la configuracio tenim una instància d'usuari llavors redireccionem cap al menu d'usuari
        If e.Result IsNot Nothing Then
            Configuracio.Instance.Usuari = e.Result
            NavigationService.Navigate(New Uri("/MenuUsuari.xaml", UriKind.RelativeOrAbsolute))
        Else
            lblMissatge.Content = "Usuari incorrecte"
            txtLogin.Text = ""
            txtPassword.Password = ""
            txtLogin.Focus()
        End If
    End Sub
    Private Sub btnNou_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles btnNou.Click
        NavigationService.Navigate(New Uri("/MantenimentUsuari.xaml", UriKind.RelativeOrAbsolute))
    End Sub
    Private Sub btnAcceptar_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles btnAcceptar.Click
        Configuracio.Instance.Servei.GetUsuariAsync(txtLogin.Text, txtPassword.Password)
    End Sub
End Class
