﻿
Partial Public Class Promocions
    Inherits Page

    Public Sub New()
        InitializeComponent()
    End Sub

    'Se ejecuta cuando el usuario navega a esta página.
    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)

        AddHandler Configuracio.Instance.Servei.GetPromocionsCompleted, AddressOf PromocionsCompleted
        Configuracio.Instance.Servei.GetPromocionsAsync("")
    End Sub
    Private Sub tornar_MouseLeftButtonDown(sender As Object, e As System.Windows.Input.MouseButtonEventArgs) Handles tornar.MouseLeftButtonDown

        NavigationService.Navigate(New Uri("/MenuParc.xaml", UriKind.RelativeOrAbsolute))

    End Sub

#Region "Mostrar Dades"

    Private Sub PromocionsCompleted(ByVal sender As Object, ByVal e As ServeiChiquiPark.GetPromocionsCompletedEventArgs)
        lbPromocions.ItemsSource = e.Result
    End Sub

#End Region

#Region "Control Màrgens"

    Private Sub Promocions_LayoutUpdated(sender As Object, e As System.EventArgs) Handles Me.LayoutUpdated
        CalculaMargenListBox()
    End Sub
    Private Sub Promocions_SizeChanged(sender As Object, e As System.Windows.SizeChangedEventArgs) Handles Me.SizeChanged
        CalculaMargenListBox()
    End Sub
    Private Sub CalculaMargenListBox()

        Dim margenLeft As Double = imgtexto.ActualWidth * 0.25
        Dim margenTop As Double
        If imgtexto.ActualHeight > 300 Then
            margenTop = imgtexto.ActualHeight * 0.3
        Else : margenTop = imgtexto.ActualHeight * 0.25
        End If

        lbPromocions.Margin = New Thickness(margenLeft, margenTop, lbPromocions.Margin.Right, lbPromocions.Margin.Bottom)

    End Sub

#End Region
  
   
   

    
End Class
